---
title: Gemini
---
# Hébergement de capsules gemini

## Description

Unbon.cafe propose un service d'hébergement de capsules gemini. Une capsule gemini est l'exact équivalent d'un site web sur le protocole Gemini. Cela peut être un site généraliste, une application, un blog (on dira alors gemlog). Ici, vous déposez vos textes dans votre dossier public et ils seront disponibles à tou.te.s via une adresse de type gemini://unbon.cafe/votrepseudo/votrearticle.gmi.

## Caractéristiques

 * Espace de 27 Go partagé entre les utilisateurs
 * Utilisation d'outils simples (sftp)
 * Chiffrement assuré entre le serveur et le client via SSH
 * Consommation électrique maîtrisée et raisonnable
 * Prêt à l'emploi

## Prix

Le prix de ce service repose uniquement sur des donations à prix libre. Vous donnez ce que vous voulez, quand vous voulez. Cela se passe directement sur ma page Liberapay.

=> [Lien vers ma page Liberapay](https://www.liberapay.com/linuxmario)

## Inscription

Pour vous inscrire au service, vous devez générer une paire de clés SSH et envoyer votre pseudo et votre clé publique SSH à l'administrateur à cette adresse mail : vinishor@unbon.cafe  
Je créerai votre compte au plus vite et je vous enverrai votre mot de passe temporaire que vous pourrez changer en vous connectant avec votre clé sur le serveur. Vous pourrez alors publier vos textes dans le dossier public_gmi qui est directement relié au serveur gemini.

=> [Lien pour vous inscrire](mailto:vinishor@unbon.cafe?subject=Nouvelle-capsule-pour-moi)

## Configuration

### Créer sa clé SSH

Pour créer une clé SSH sans prise de tête, faites simplement :

```
ssh-keygen -t ed25519 -f ~/.ssh/clessh -a 100
```

Vous pouvez entrer un mot de passe si vous voulez. En général, c'est conseillé (si jamais vous perdez la clé). Le fichier se terminant en .pub (ici ~/.ssh/clessh.pub) contient la clé publique que vous devez m'envoyer pour pouvoir configurer votre compte et vous connecter sur la machine. L'autre fichier, la clé privée, ne doit jamais être partagé.

### Informations de connexion

Pour vous connecter au service, voici les informations à rentrer :

 * Nom de domaine : unbon.cafe
 * Port : 23

### Configurer son client pour une connexion simplifiée

Pour vous connecter plus simplement à ce serveur, vous pouvez créer une configuration dans un fichier ~/.ssh/config :

<pre>
<code>
<span>Host unboncafe</span>
<span>	User votrepseudo</span>
<span>	Port 23</span>
<span>	Hostname unbon.cafe</span>
<span>	IdentityFile ~/.ssh/clessh</span>
</code>
</pre>

Une fois cela fait, il suffira d'utiliser la commande **SFTP** pour vous connecter automatiquement le serveur et déposer vos fichiers.

## Exemple de session

<pre>
<code>
<span>$ sftp unboncafe</span>
<span>...Bannière de unbon.cafe...</span>
<span>Connected to 10.10.0.2.</span>
<span>sftp> pwd</span>
<span>Remote working directory: /home/votrepseudo</span>
<span>sftp> put index.gmi</span>
<span>Uploading index.gmi to /home/votrepseudo/index.gmi</span>
<span>index.gmi                                         100% 2290    72.1KB/s   00:00</span>
</code>
</pre>

## Syntaxe

Si vous voulez un exemple de syntaxe sous Gemini, voici une petite liste d'exemples :

<pre>
<code>
<span>Une ligne est considérée comme un paragraphe.</span>
<span></span>
<span>Les lignes vides restent vides.</span>
<span></span>
<span>=> gemini://domaine.tld/un-lien.gmi Ceci est un lien</span>
<span>=> https://domaine.tld/ Un autre lien</span>
<span>=> /lien-relatif/sans/description</span>
<span></span>
<span>* liste 1 </span>
<span>* liste 2</span>
<span>* liste 3</span>
<span></span>
<span>> Ceci est une citation</span>
<span></span>
<span># TITRE niveau 1</span>
<span>## Titre niveau 2</span>
<span>### titre niveau 3</span>
<span></span>
<span>Chaque ligne constituée de ``` active ou désactive le mode préformaté.<br/>Encadrez du code source avec des lignes "```" pour qu'il reste intouché.</span>
</code>
</pre>
